LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 02-24-2004, 10:37 PM   #1
SoliTear
Member
 
Registered: Jan 2004
Location: Ohio
Distribution: LinuxMint 17.1
Posts: 41

Rep: Reputation: 15
Question Upgrading SDL with RPM files


i've got the dev package to install, but i get this message when trying to install the runtime package. i am just clicking on the rpm from within the browser window.

Installation failed:
file /usr/lib/libSDL-1.2.so.0 from install of SDL-1.2.7-1 conflicts with file from package libSDL1.2-1.2.5-12mdk


i've tried with 1.2.6 and 1.2.7. i've tried it as root. i've also tried it within KDE and outside of KDE.

i know its probably something simple, but i just don't know what to do, or what to stop in order to get the package to update.

Mandrake 9.2 download edition is my version.
 
Old 02-25-2004, 03:41 AM   #2
aizkorri
Member
 
Registered: Feb 2002
Location: Basque Country
Distribution: Fedora 14, Ubuntu 14.04
Posts: 434
Blog Entries: 1

Rep: Reputation: 45
I'm not sure but you could try updating the package instead of installing it then it might let you do that.
you can try this in the konsole and it has to be as root:

rpm -U yourPackage.rpm
 
Old 02-25-2004, 01:28 PM   #3
SoliTear
Member
 
Registered: Jan 2004
Location: Ohio
Distribution: LinuxMint 17.1
Posts: 41

Original Poster
Rep: Reputation: 15
Unhappy

i was looking thru the man page and missed that option. thanks. i knew the answer would be simple. i'll see if i can try it out tonight. *mumbles to self* i just hope i got the paths set right for comiling.

thanks.
 
Old 02-25-2004, 06:21 PM   #4
SoliTear
Member
 
Registered: Jan 2004
Location: Ohio
Distribution: LinuxMint 17.1
Posts: 41

Original Poster
Rep: Reputation: 15
well, i had to add the --force option and it worked. compile worked as well. now i am on my way to programming with SDL.

Thanks.
 
Old 02-26-2004, 03:37 AM   #5
aizkorri
Member
 
Registered: Feb 2002
Location: Basque Country
Distribution: Fedora 14, Ubuntu 14.04
Posts: 434
Blog Entries: 1

Rep: Reputation: 45
nice to hear (read) that , good luck with SDL
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
rpm stuff - specifically SDL titanium_geek Linux - Software 3 01-13-2005 04:18 PM
Broken SDL Install (Adventures in upgrading) t3knomanser Linux - Software 1 02-11-2004 12:39 PM
How do I update the SDL RPM without removing current version? compjinx Linux - Software 4 12-04-2003 08:34 PM
trying to install SDL rpm xconspirisist Linux - Software 10 12-01-2003 01:35 PM
Suggestions requested on upgrading a stock RH rpm with a third-party rpm obarney Linux - Software 5 05-21-2003 06:07 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 02:45 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration